Skip to content

API Reference

Add SAR information

POST /v1/retail/sar_info https://api.cable.tech

Retail endpoint for adding new SAR information

Authentication

  • API key in the x-api-key header

Request body

application/json list of objects required

Request body for adding SAR information for a parent entity

  • timestamp string required

    Original timestamp relating to this SAR creation/change

    Format date-time

  • data object required
    • status string required

      Allowed values raisedcancelledsubmitted

    • value string

      Limits min length 1

    • cause string

      Limits min length 1

    • custom object

      Custom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.

  • parent object required
    • id string required

      Unique external identifier of the parent entity, ID stored in your database / back-office

      Limits min length 1

Responses

200 Operation success

  • success boolean required

    You probably did something wrong if you set this to false

    Default true

Errors

  • default Operation error

Error body default

  • code string required
  • message string required
  • data object